
function uploadHandler() {
    if (!modalTemplateInDom())   {
        buildModal("template-modal", "upload-modal");
    }
    showPopup(false);
}

function checkFileIsValid()    {

    const uploadButton = document.getElementById("upload-button");

    //checkFileExtension
    const supportedUploadExtensions = ["crt"];
    const fileName = document.getElementById("filename");

    let fileExtension = fileName.value.split('.').pop();
    const isValidExtension = supportedUploadExtensions.includes(fileExtension.toLowerCase());
    if (!isValidExtension)  {
        notify.notify({message:'Format not supported!', level:'warning'});
    }

    //checkFileSize
    let isValidSize = true;
    let fileSize = fileName.files[0].size;
    if (fileSize > 16384000){
        isValidSize = false;
        notify.notify({message:'File is too big!', level:'warning'});
    }

    //Check if name does not contain any special characters
    let isValidName = true;
    // let fileNameSplit = fileName.value.split('.')
    // if (fileNameSplit.lenght > 2) {
    //     isValidName = false;
    //     notify.notify({message:'Only filenames with alphanumeric characters and one space in between allowed!', level:'warning'});
    // } else {
    //     let name = fileNameSplit[0].split('\\')[2];
    //
    //     //^[\w\s]*$
    //     const regex = RegExp(/(^[a-zA-Z0-9]+$)|(^[a-zA-Z0-9]+\s[a-zA-Z0-9]+$)/);
    //     isValidName = regex.test(name)
    //
    //     if (!isValidName) {
    //         notify.notify({message:'Only filenames with alphanumeric characters and one space in between allowed!', level:'warning'});
    //     }
    // }
    uploadButton.disabled = !(fileName && !!fileName.value) || (!isValidExtension) || (!isValidName) || (!isValidSize);
}